Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 DMA Access Codelet (IxDmaAccCodelet) API [IXP425 Codelets] IXP425 DMA Access component API. More...
## Defines
#define | IX_DMA_CODELET_TRANSFER_LENGTH
| The length of the transfer size if 128 bytes.
## Functions
IX_STATUS | ixDmaAccCodeletMain (void)
| This function is the entry point to the Dma Access codelet. It will initialise the Dma codelet which in turn initialises the necessary components.
## Detailed Description IXP425 DMA Access component API. This file contains a main interface of the Dma Access Codelet that initialises the DmaAcc codelet and execute Dma transfer using ixDmaAccCodeletTestPerform() function for various DMA transfer mode, addressing mode and transfer width. The block size used in this codelet are 8,1024,16384,32768,65528 bytes. For each Dma configuration, the performance will be measured and the average rate (in Mbps) will be displayed VxWorks User Guide
       Usage :
          -> ixDmaAccCodeletMain()
     Note:
     1. Once the function is executed, the codelet will display the results

     2. The formulae to calculate the rate is:

        Rate (in Mbps)  = ( (length * 8) / (ticks / 66) )
Linux User Guide
       Usage :
          # insmod ixp400_codelets_dmaAcc.o
     Note:

     1. Once the function is executed, the codelet will display the results

     2. The formulae to calculate the rate is:

        Rate (in Mbps)  = ( (length * 8) / (ticks / 66) )
DmaAcc Codelet Features The API ixDmaAccCodeletTestPerform() allows the user to perform a Dma transfer of block size 0 to 65535 bytes between two locations in the SRAM. The user can specify any combination of the following modes. DMA Transfer Modes 1. Copy 2. Copy and Clear Source 3. Copy with Bytes Swap 4. Copy with Bytes Reversed DMA Addressing Modes 1. Incremental Source to Incremental Destination Addressess 2. Fixed Source to Incremental Destination Addressess 3. Incremental Source to Fixed Destination Addressess DMA Transfer Widths 1. 32-bit Transfer 2. 16-bit Transfer 3. 8-bit Transfer 4. Burst Transfer NOTE : The user must initialise the system with ixDmaAccCodeletInit prior to calling the function ixDmaAccCodeletiTestPerform() Performance will execute PERFORMANCE_NUM_LOOP (i.e. 100 runs) in order to calculate the average rate for each Dma transfer configuration ## Define Documentation
#define IX_DMA_CODELET_TRANSFER_LENGTH
| The length of the transfer size if 128 bytes. It can be changed for Dma transfer. The range is between 1-65535 bytes Definition at line 150 of file IxDmaAccCodelet.h.
## Function Documentation
void ixDmaAccCodeletMain | ( | void |  | ) |
  | This function is the entry point to the Dma Access codelet. It will initialise the Dma codelet which in turn initialises the necessary components. Once it has successfully initialise the Dma Codelet, this function will continue to perform valid DMA transfer using IxDmaAccCodeletTestPerform() Parameters:
  none |
Returns: none
Automatically generated from sources. © Intel Corp. 2003